#!/bin/sh

exec 2>/dev/null

#############################################################################

echo "Reference"
sysctl hw.snd.pcm0.vchans=0
./tonegen -a 16000 212 48000 | dd count=100 | ./rawplay -c 2 48000

sleep 1

echo "Kernel downsampling 48000 -> 44100"
sysctl hw.snd.pcm0.vchans=1
./tonegen -a 16000 212 48000 | dd count=100 | ./rawplay -c 2 48000

#############################################################################
sleep 2

echo "Reference"
sysctl hw.snd.pcm0.vchans=0
./tonegen -a 16000 212 11025 | dd count=50 | ./rawplay -c 2 11025

sleep 1

echo "Kernel upsampling 11025 -> 44100"
sysctl hw.snd.pcm0.vchans=1
./tonegen -a 16000 212 11025 | dd count=50 | ./rawplay -c 2 11025

#############################################################################
sleep 2

echo "Reference"
sysctl hw.snd.pcm0.vchans=0
./tonegen -a 16000 212 8000 | dd count=25 | ./rawplay -c 2 8000

sleep 1

echo "Kernel upsampling 8000 -> 44100"
sysctl hw.snd.pcm0.vchans=1
./tonegen -a 16000 212 8000 | dd count=25 | ./rawplay -c 2 8000

sleep 1

echo "Userland upsampling 8000 -> 44100 (vchans = 0)"
sysctl hw.snd.pcm0.vchans=0
./tonegen -a 16000 212 8000 | dd count=25 | ./feeder_rate_new -c 2 8000 44100 \
    | ./rawplay -c 2 44100

sleep 1

echo "Userland upsampling 8000 -> 44100 (vchans = 1)"
sysctl hw.snd.pcm0.vchans=1
./tonegen -a 16000 212 8000 | dd count=25 | ./feeder_rate_new -c 2 8000 44100 \
    | ./rawplay -c 2 44100

