#include <stdlib.h>

#ifndef __FEEDER_RANDOM_C__

/*****************************************************************************/
/* random byte feeder */

static int
feed_random(struct pcm_feeder	*f, 
	    struct pcm_channel	*c, 
	    uint8_t		*b,
	    uint32_t		 count, 
	    void		*source)
{
    size_t r;
    if (count < 4)
	return 0;

    r = random() % (count / 4);
    r += 4;
    r *= 4;
    if (r > count)
	    r = count;
    
    return FEEDER_FEED(f->source, c, b, r, source);
}

static struct pcm_feederdesc feeder_random_desc[] = {
    {0, 0, 0, 0}
};

static kobj_method_t feeder_random_methods[] = {
    KOBJMETHOD(feeder_feed, feed_random),
    { 0, 0 }
};

FEEDER_DECLARE(feeder_random, 1, 0);

#endif  /* __FEEDER_RANDOM_C__ */
